# https://github.com/matplotlib/cycler/archive/v0.10.0.tar.gz
%define module cycler

Name:           python-%{module}
Version:        0.10.0
Release:        %mkrel 1
Summary:        Composable style cycles

License:        BSD
Group:          Development/Python
URL:            https://github.com/matplotlib/cycler
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python-six

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python
Requires:       python3-six

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%doc LICENSE README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Sun Jul 01 2018 adrianomorselli <adrianomorselli> 0.10.0-1uplos2018
- imported for uplos
